using System;
using System.Data;

/// <summary>
/// I_Consultative 的摘要说明
/// </summary>
namespace Consultative
{ 
    /// <summary>
    /// 资讯信息接口
    /// </summary>
	public interface IConsultative
	{
        int Insert(TConsultative us);               //添加资讯信息
        int Update(TConsultative us);               //修改资讯信息
        int Delete(int ID);                         //根据ID删除资讯信息
        int DeleteByTypeID(string TypeID);          //根据资讯类别删除
        DataTable GetDataTable();                   //取得资讯信息
        DataTable GetDataTable(TConsultative con);  //根据标题和类别查询资讯信息
        TConsultative GateItem(int id);             //根据ID取得资讯信息
        void UpdateCount(int id, int temp);         //temp判断顶或踩
	}
}
